about summary refs log tree commit diff
path: root/scripts/reconnect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/reconnect.sh')
-rw-r--r--scripts/reconnect.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/reconnect.sh b/scripts/reconnect.sh
new file mode 100644
index 0000000..92d9668
--- /dev/null
+++ b/scripts/reconnect.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -u
+
+while :; do
+	catgirl "$@"
+	status=$?
+	if [ $status -ne 69 ]; then
+		exit $status
+	fi
+done